CVE-2018-17407

NameCVE-2018-17407
DescriptionAn issue was discovered in t1_check_unusual_charstring functions in writet1.c files in TeX Live before 2018-09-21. A buffer overflow in the handling of Type 1 fonts allows arbitrary code execution when a malicious font is loaded by one of the vulnerable tools: pdflatex, pdftex, dvips, or luatex.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1514-1, DSA-4299-1
NVD severitymedium
Debian Bugs909317

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
texlive-bin (PTS)stretch (security), stretch2016.20160513.41080.dfsg-2+deb9u1fixed
buster2018.20181218.49446-1fixed
bullseye, sid2020.20200327.54578-7fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
texlive-binsourcejessie2014.20140926.35254-6+deb8u1DLA-1514-1
texlive-binsourcestretch2016.20160513.41080.dfsg-2+deb9u1DSA-4299-1
texlive-binsource(unstable)2018.20180907.48586-2909317

Notes

Fixed by: https://github.com/TeX-Live/texlive-source/commit/6ed0077520e2b0da1fd060c7f88db7b2e6068e4c
Introduced in: https://github.com/TeX-Live/texlive-source/commit/59cbb8f96b0543c2912d6370ce8021181661e1cf

Search for package or bug name: Reporting problems